Create transcription
post/v1/audio/transcriptions
Transcribe audio into text.
Authentication
Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.
Authorization: Bearer $OLETOKEN_API_KEYRequest body
Content-Type:multipart/form-data
| Field | Type | Required | Description |
|---|---|---|---|
| file | string | The audio file | |
| model | string | — | |
| language | string | — | ISO-639-1 language code |
| prompt | string | — | — |
| response_format | stringdefault: jsonjsontextsrtverbose_jsonvtt | — | — |
| temperature | number | — | — |
| timestamp_granularities | string[] | — | — |
Responses
200Transcription created
| Field | Type | Required | Description |
|---|---|---|---|
| text | string | — | — |
Example request
curl -X POST 'https://api.oletoken.ai/v1/audio/transcriptions' \
-H "Authorization: Bearer $OLETOKEN_API_KEY" \
-F 'file=' \
-F 'model=whisper-1'
